Đến nội dung


Hình ảnh
- - - - -

Đưa toàn bộ text, mtext về cùng chiều cao


  • Please log in to reply
6 replies to this topic

#1 hatieu

hatieu

    biết vẽ pline

  • Advance Member
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 08 April 2011 - 09:01 AM

Vấn đề đặt ra là trong 1 bản vẽ có rất nhiều text, mtext, text của dim, text của lead, text bên trong block, text của attribute.
Mà chiều cao của các text, mtext đó không bằng nhau.
Bây giờ em muốn có một lisp, lisp sẽ đưa các text và mtext trên về cùng chiều cao h.
- Gõ lệnh
- Nhập chiều cao h.
  • 0
Công ty cổ phần đầu tư và xây dựng AGA
Chuyên tư vấn, cung cấp, thi công hệ vách dựng nhôm kính khổ lớn, cửa nhôm kính,
kính cường lực, vách ngăn, lan can, cầu thang kinh, lam nhôm chăn nắng.
Hot: 0984.985.119

#2 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 08 April 2011 - 09:16 AM

Vấn đề đặt ra là trong 1 bản vẽ có rất nhiều text, mtext, text của dim, text của lead, text bên trong block, text của attribute.
Mà chiều cao của các text, mtext đó không bằng nhau.
Bây giờ em muốn có một lisp, lisp sẽ đưa các text và mtext trên về cùng chiều cao h.
- Gõ lệnh
- Nhập chiều cao h.

MUỐN thì tự làm đi bạn, xong rồi thì up lên chia sẽ với người khác. Bạn đi nhờ người khác viết dùm mà như ra lệnh cho người ta. Ai viết dùm bạn???
  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 08 April 2011 - 10:21 AM

Các text, Mtext, atttext thì dễ, còn text trong block thì :")
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 hatieu

hatieu

    biết vẽ pline

  • Advance Member
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 11 April 2011 - 08:06 AM

Đúng là text và mtext thì em làm được còn atttext và text của dim thì em chịu.
Đây là lisp đưa toàn bộ text về cùng chiều cao h.
Nhờ các bác hộ em thêm các chức năng đưa mtext, text của dim, attext về cùng chiều cao vào lisp này với.
 (defun C:htext( / ss ss1 e d h)
(setq h (getreal (strcat "\nNhap chieu cao text :")))
(setq ss (ssget '((0 . "TEXT")))
)
(while (setq e (ssname ss 0))
(setq d (entget e)
d (subst (cons 40 h) (assoc 40 d) d)
)
(entmod d)
(ssdel e ss)
)
(princ)
)
Em cảm ơn trước!
Em mượn câu của bác ketxu
(Cái gì biết thì chia sẻ.Đừng sợ người ta cười mình hợm hĩnh.Chỉ e người ta không muốn tiếp thu.
Cái gì chưa biết thì hỏi.Đừng ngại người ta cười mình dốt.Chỉ sợ mình hoài dốt thật)
  • 0
Công ty cổ phần đầu tư và xây dựng AGA
Chuyên tư vấn, cung cấp, thi công hệ vách dựng nhôm kính khổ lớn, cửa nhôm kính,
kính cường lực, vách ngăn, lan can, cầu thang kinh, lam nhôm chăn nắng.
Hot: 0984.985.119

#5 vuhoang89

vuhoang89

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 June 2014 - 10:10 AM

bác hatieu cho hỏi : cái list này của bác tôi chỉ làm cho text thôi, còn mtext thì không. vậy nhờ bác chỉ giúp


  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 10 June 2014 - 10:15 AM

bác hatieu cho hỏi : cái list này của bác tôi chỉ làm cho text thôi, còn mtext thì không. vậy nhờ bác chỉ giúp

Bạn mở lisp ra và sửa chữ "TEXT" thành "*TEXT", save, load lại.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#7 anhmaphptn

anhmaphptn

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 10 June 2014 - 10:31 AM

mình cũng load lại được rồi nhá Thank bạn ! :blush:


  • 0